
@import url('https://fonts.cdnfonts.com/css/great-vibes');
@import url('https://fonts.cdnfonts.com/css/cooper-hewitt');

.title-font{
	font-family: 'Cooper Hewitt', sans-serif;                                            
	font-weight: 711 !important; 
}

.content-font{
	font-family: 'Cooper Hewitt', sans-serif;                                            
	font-weight: 707 !important; 
}

.styled-font{
	font-family: 'Great Vibes', cursive;
}

.relative-wrapper{
	position: relative;
}

.centered-button a{
	margin:auto!important
}

/*
.body-upper-wrapper{
	position: absolute;
	width: 100%;
	height: 100%;
	left: 0;
	top: 0;
	background: rgb(39,66,133,.5);
	z-index: 99;
	display: flex;
	align-content: center;
	justify-content: center;
} */

/* overlay */
.body-upper-wrapper{
    position: absolute;
    inset: 0;
    background: rgba(39,66,133,.3);
    z-index: 99;

    display: flex;
    justify-content: center;
    align-items: center;
    gap: 12px;

    opacity: 0;
    visibility: visible;
    transition: all .3s ease;

	backdrop-filter: blur(3px);
    border-radius: 10px;
}

.profile-card{
    padding: 0 10px;
    background: #f7f8f9;
    margin: 0px 20px 5px;
    border-radius: 10px;
}

.profile-card:hover .body-upper-wrapper{
    opacity: 1;
    visibility: visible;
}

.br-07-rem{
	border-radius: .7rem;
}

.body-upper-wrapper a{
	display: flex;
	justify-content: center;
	align-content: center;
	padding: 10px 15px 15px;
}

.txt-16{
	font-size: 16px !important;
}

.txt-17{
	font-size: 17px !important;
}

.txt-18{
	font-size: 18px !important;
}

.txt-14{
	font-size: 14px !important;
}

.footer{
  position: relative;
  display: flex;
  flex-direction: column;
  min-width: 0;
  word-wrap: break-word;
  background-color: #fff;
  background-clip: border-box;
  border-radius: .7rem;
  text-align: left;
  padding: 30px 30px 10px;
  font-size: 15px;
}

.sub-comment-style{
	font-style: normal;
	font-size: 14px;
}

.sidebar-wrapper{
	background: rgb(39,66,133,1);
}

.sidebar-wrapper .menu .sidebar-link > i{
	font-size: 15px;
	margin-top: 5px;
}

.sidebar-wrapper .menu .sidebar-title{
	color: rgba(255,255,255,.3);
	position: relative;
}

.sidebar-wrapper .menu .sidebar-title:after{
	position: absolute;
	content: "";
	width: 15%;
	height: 1px;
	background: rgba(255,255,255,.15);
	right: 0px;
	top: 50%;
}

.white-bg{
	background: #fff;
}

.absolute-badge{
	position: absolute;
	border-radius: 50%;
	width: 25px;
	height: 25px;
	font-weight: normal;
	justify-content: center;
	align-content: center;
	padding: 0;
	font-size: 12px;
	top: 5px;
	right: 13px;
}

.sidebar-header .logo img{
    width:100px !important;
    height:100px !important;
    max-width:none;
    object-fit:contain;
    margin: auto;
}

.sidebar-wrapper .sidebar-header{
	padding: 1.2rem;
	background-color: rgba(0,0,0,.15);
}


#auth #auth-right{
	position: relative;
	background: url(../images/bg/login-bg.jpg) 65% !important;
	background-size: cover !important;
}

#auth #auth-right:before{
	position: absolute;
	content: "";
	/*background: linear-gradient(60deg,rgba(39,66,133,1),rgba(39,66,133,1),rgba(39,66,133,.9),rgba(39,66,133,1));*/
    background: rgba(39,66,133,.95) ;
	width: 100%;
	height: 100%;
	top: 0;
	right: 0;
}
.login-left-wrapper{
    width: 100%;
    height: 100%;
    margin: auto;

    display: flex;
    flex-direction: column;

    justify-content: center;   /* vertical center */
    align-items: center;       /* horizontal center */
    text-align: center;

    position: relative;
    z-index: 1;
}

.login-logo{
    width: 200px;
    height: auto;
    margin-bottom: 20px;
}

.div-img img{
    width: 100%;
    height: auto;
    display: block;
}

.login-left-text{
    margin-top: 10px;
}

.login-left-text h1,
.login-left-text h5{
    color: rgba(255,255,255,1);
}

.login-left-text h5{
	font-size: 38px;
	color: #F7D618;
}


/* Footer */
.login-footer{
    width:100%;
    text-align:center;
    position: absolute;
    z-index: 1;
    bottom: 0;
}

/* Copyright text */
.copyright{
    padding:12px;
    font-size:14px;
    color: rgba(255,255,255,.8);
}

/* Flag bars */
.flag-bars{
    width:100%;
    height:5px;
    display:flex;
}

.bar{
    flex:1;
}

.bar-blue{
    background:#0F89CB;
}

.bar-yellow{
    background:#F7D618;
}

.bar-red{
    background:#CE1021;
}

.bg-warning{
	color: #000 !important;
}

.pd-0{
	padding: 0 !important;
}

.pd-5{
    padding: 5px !important;
}

.pd-10{
    padding: 10px !important;
}

.full-modal-footer button{
	width: 100%;
}


/* ===== Workflow ===== */
.workflow {
    display: flex;
    flex-direction: column;
    gap: 2rem;
    margin: 40px 0 20px;
}

.workflow-step {
    display: flex;
    align-items: center;
    gap: 1rem;
    position: relative;
}

.workflow-icon {
    width: 46px;
    height: 46px;
    border-radius: 50%;
    display: flex;
    align-items: center;
    justify-content: center;
    flex-shrink: 0;
    z-index: 2;
    margin-left: -20px;
}

.workflow-icon svg {
    width: 20px;
    height: 20px;
}

.workflow-content h6 {
    margin: 0;
    font-weight: 600;
    font-size: 0.95rem;
}

.workflow-content small {
    font-size: 0.8rem;
    color: #9ca3af;
}

/* ===== STATES ===== */
.completed .workflow-icon {
    background: #22c55e;
    color: #fff;
}

.pending .workflow-icon {
    background: #eab308;
    color: #000;
}

.locked .workflow-icon {
    background: #9ca3af;
    color: #fff;
}

.canceled .workflow-icon {
    background: rgb(226 62 78);
    color: #fff;
}

/* ===== DESKTOP: HORIZONTAL ===== */
@media (min-width: 768px) {

    .workflow {
        flex-direction: row;
        justify-content: space-between;
    }

    .workflow-step {
        flex-direction: column;
        align-items: center;
        text-align: center;
        width: 100%;
    }

    /* default line */
    .workflow-step:not(:last-child)::after {
        content: "";
        position: absolute;
        top: 23px;
        left: 63%;
        width: 80%;
        height: 3px;
        background: #e5e7eb;
        z-index: 1;
    }

    /* colored lines */
    .workflow-step.completed:not(:last-child)::after {
        background: #22c55e;
    }

    .workflow-step.pending:not(:last-child)::after {
        background: #eab308;
    }

    .workflow-step.locked:not(:last-child)::after {
        background: #9ca3af;
    }

    .workflow-step.canceled:not(:last-child)::after {
    	background: rgb(226 62 78);
    }

    .workflow-content {
        margin-top: 0.75rem;
    }
}

/* ===== MOBILE: VERTICAL ===== */
@media (max-width: 767px) {

    .workflow-step:not(:last-child)::after {
        content: "";
        position: absolute;
        left: 23px;
        top: 46px;
        width: 3px;
        height: 100%;
        background: #e5e7eb;
    }

    .workflow-step.completed:not(:last-child)::after {
        background: #22c55e;
    }

    .workflow-step.pending:not(:last-child)::after {
        background: #eab308;
    }

    .workflow-step.locked:not(:last-child)::after {
        background: #9ca3af;
    }
}

.modal-xl {
    max-width: 50%;
}

.pb-3{
	padding-bottom: 30px !important;
}

.pt-3{
	padding-top: 30px !important;
}

.pd-3{
	padding: 30px !important;
}

.pb-8{
	padding-bottom: 80px !important;
}

.pt-8{
	padding-top: 80px !important;
}

.pd-8{
	padding: 80px !important;
}

/* ===== END Workflow ===== */

td{
	padding: .75rem !important;
    font-size: 15px;
}
th{
    padding: .9rem !important;
    color: #333;
}

.action-button-custom button i{
	vertical-align: middle !important;
	padding: 10px 2px;
}

.sidebar-wrapper .menu .submenu .submenu-item a{
    color: #ccc;
}

.sidebar-wrapper .menu .submenu .submenu-item a:hover{
    background: rgba(255,255,255,.1);
    border-radius: 10px;
}

.form-wrapper{
    border: rgba(204,204,204,.5) solid 1px;
    border-radius: 10px;
    padding: 15px;
}

.pd-20{
    padding: 20px 40px;
}

.f-20{
    font-size: 20px !important;
}

.dropdown-menu{
    border:1px solid #dee2e6 !important;
    box-shadow:0 6px 18px rgba(0,0,0,.1) !important;
    border-radius: 5px;
}

.dropdown-toggle::after{
    display:none;
}

.sidebar-wrapper .menu .sidebar-item.has-sub .sidebar-link::after{
    display: none;
}

.sidebar-wrapper .menu .sidebar-item.has-sub .sidebar-link .added-icon{
    margin-left: 30px;
    margin-top: -5px;
}

.custom-list-group-20{
    width: 20%;
    text-align: left;
    font-weight: bold;
    border-bottom: none;
}

.custom-list-group-30{
    width: 30%;
}

.custom-list-group{
    border-bottom: rgba(204,204,204,.7) solid 1px;
}

.pd-40{
    padding: 40px;
    border-left: rgba(204,204,204,.5) solid 5px;
    margin-top: 20px;
}

.empty-table{
    font-size: 17px;
    padding: 15px 0 8px;
}

.bg-grey{
    background: rgba(204,204,204,.25) !important;
}

.hidden{
    display: none !important;
}

.cust-h{
    height: 400px;
}

/*
    AUTOFILL STYLE
*/

.visitor-suggestions{
    position:absolute;
    top:100%;
    left:0;
    right:0;
    background:#fff;
    border:1px solid #dee2e6;
    border-radius:10px;
    z-index:9999;
    box-shadow:0 10px 30px rgba(0,0,0,0.08);
    max-height:320px;
    overflow-y:auto;
    margin-top:5px;
}

.visitor-item{
    padding:14px 16px;
    cursor:pointer;
    transition:all .15s ease;
    border-bottom:1px solid #f1f1f1;
}

.visitor-item:last-child{
    border-bottom:none;
}

.visitor-item:hover{
    background:#f8f9fa;
}

.visitor-name{
    font-weight:600;
    color:#212529;
    font-size:14px;
}

.visitor-email{
    font-size:12px;
    color:#6c757d;
    margin-top:3px;
}

.visitor-phone{
    font-size:12px;
    color:#0d6efd;
}

/*
    END AUTOFILL STYLE
*/

label{
    display: block;
    margin-left: 5px;
}

.label_description{
    display: block;
    margin: 0 0 15px 5px;
    font-size: 13.5px;
    font-style: italic;
}

label strong{
    color: #dc3545;
}

.dash-subtitle{
    font-size: 14px !important;
}

.user-img-wrapper{
    width: 230px;
    height: auto;
    overflow: hidden;
}

.visitor-badge-no{
    display: none;
}


/*-------------------------------------
            DASHBOARD
-------------------------------------*/

.card{
    padding: 10px 20px;
}

.stats-icon{
    float: left;
}

.dash-stats-title h6{
    font-size: 13px;
    border-top: rgba(204,204,204,.5) solid 1px;
    padding-top: 20px;
}

.stats-icon{
    border-radius: 50%;
    width: 3.5rem;
    height: 3.5rem;
}

.stats-icon i{
    font-size: 2.5rem;
}

.purple{
    background: rgba(150,148,255,.2) !important;
}

.purple i{
    color: rgba(150,148,255,1) !important;
}

.blue{
    background: rgba(87,202,235,.2) !important;
}

.blue i{
    color: rgba(87,202,235,1) !important;
}

.red{
    background: rgba(255,121,118,.2) !important;
}

.red i{
    color: rgba(255,121,118,1) !important;
}

.green{
    background: rgba(93,218,180,.2) !important;
}

.green i{
    color: rgba(93,218,180,1) !important;
}

.dash-card-header{
    border-bottom: rgba(204,204,204,.5) solid 1px !important;
    margin-bottom: 20px;
}

.dash-card-header.pdb-0{
    padding-bottom: 0 !important;
}

.dash-card-header.pdb--1{
    margin-bottom: 0px !important;
}

.dash-card-header h4{
    margin-bottom: 0px;
}

.dash-card-header small{
    display: block;
    margin-bottom: 25px;
}


/*-------------------------------------
            END DASHBOARD
-------------------------------------*/

.menu-photo{
    width: 55px !important;
    height: 55px !important;
    border: #ccc solid 1px;
    overflow: hidden;
    margin-top: -10px !important;
}

.menu-photo img{
    width: 150% !important;
    height: auto !important;
}


/* start : livewire loading */

.modal-loading-overlay{
    position:absolute;
    top:0;
    left:0;
    right:0;
    bottom:0;

    background:rgba(255,255,255,.85);
    backdrop-filter:blur(3px);

    z-index:9999;

    display:none;
    align-items:center;
    justify-content:center;

    border-radius:inherit;
    cursor:not-allowed;
}

.modal-loading-overlay .spinner-border{
    display:block;
    margin:auto;
}

/* end : livewire loading */















